Package com.independentsoft.office.word.numbering

# Class NumberingDefinitionInstance

java.lang.Object
com.independentsoft.office.word.numbering.NumberingDefinitionInstance

public class NumberingDefinitionInstance extends Object
The Class NumberingDefinitionInstance.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberingDefinitionInstance()`
  Instantiates a new numbering definition instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NumberingDefinitionInstance`
  `clone()`
  `int`
  `getAbstractNumberingID()`
  Gets the abstract numbering id.
  `int`
  `getID()`
  Gets the id.
  `List<NumberingLevelOverride>`
  `getNumberingLevelOverrides()`
  Gets the numbering level overrides.
  `void`
  `setAbstractNumberingID​(int abstractNumberingID)`
  Sets the abstract numbering id.
  `void`
  `setID​(int id)`
  Sets the id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NumberingDefinitionInstance

    public NumberingDefinitionInstance()
    Instantiates a new numbering definition instance.

- ## Method Details

  - ### clone

    public NumberingDefinitionInstance clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getID

    public int getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(int id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getAbstractNumberingID

    public int getAbstractNumberingID()
    Gets the abstract numbering id.
    Returns:
      the abstract numbering id

  - ### setAbstractNumberingID

    public void setAbstractNumberingID​(int abstractNumberingID)
    Sets the abstract numbering id.
    Parameters:
      `abstractNumberingID` - the new abstract numbering id

  - ### getNumberingLevelOverrides

    public List<NumberingLevelOverride> getNumberingLevelOverrides()
    Gets the numbering level overrides.
    Returns:
      the numbering level overrides